Package de.willuhn.jameica.hbci.gui.parts

# Class EinnahmenAusgabenVerlauf

java.lang.Object
de.willuhn.jameica.hbci.gui.parts.EinnahmenAusgabenVerlauf

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`

public class EinnahmenAusgabenVerlauf extends Object implements de.willuhn.jameica.gui.Part
Zeigt die Umsaetze von Kategorien im zeitlichen Verlauf.

## Constructor Summary

Constructors
Constructor
Description
`EinnahmenAusgabenVerlauf(List<EinnahmeAusgabeZeitraum> werte)`
Konstruktor mit anzuzeigenden Werten

## Method Summary

Modifier and Type
Method
Description
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`
`void`
`setList(List<EinnahmeAusgabeZeitraum> werte)`
Setzt die anzuzeigenden Werte

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EinnahmenAusgabenVerlauf

public EinnahmenAusgabenVerlauf(List<EinnahmeAusgabeZeitraum> werte)
Konstruktor mit anzuzeigenden Werten

Parameters:
  `werte` -

## Method Details

### paint

public void paint(org.eclipse.swt.widgets.Composite parent) throws RemoteException

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
Throws:
  `RemoteException`
See Also:
  - `Part.paint(org.eclipse.swt.widgets.Composite)`

### setList

public void setList(List<EinnahmeAusgabeZeitraum> werte) throws RemoteException
Setzt die anzuzeigenden Werte

Parameters:
  `werte` - die Werte.
Throws:
  `RemoteException`